# usbwrap.h File Reference

## Detailed Description

USB API wrapper.

Definition in file usbwrap.h.

`#include "dll.h"`
`#include <usb.h>`
`#include <vector>`
`#include <map>`
`#include "error.h"`

Include dependency graph for usbwrap.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry
namespace | Usb

## Classes

class | Usb::Error
| Thrown on low level USB errors. More...
class | Usb::Timeout
class | Usb::Match
class | Usb::Device
class | Usb::Interface
struct | Usb::EndpointPair
class | Usb::EndpointDiscovery
struct | Usb::InterfaceDesc
class | Usb::InterfaceDiscovery
struct | Usb::ConfigDesc
class | Usb::ConfigDiscovery
class | Usb::DeviceDiscovery

## Typedefs

typedef struct usb_device * | Usb::DeviceIDType
| Typedefs used by the wrapper class, in the hope to make it easier to switch from libusb stable to devel and back.